org.eclipse.ecf.core.jobs

## Class JobsExecutor

- java.lang.Object
- - org.eclipse.equinox.concurrent.future.AbstractExecutor
  - - org.eclipse.ecf.core.jobs.JobsExecutor

All Implemented Interfaces:
  org.eclipse.equinox.concurrent.future.IExecutor, org.eclipse.equinox.concurrent.future.IRunnableExecutor

    public class JobsExecutor
    extends org.eclipse.equinox.concurrent.future.AbstractExecutor

Since:
  3.2

### Field Summary

Fields
`protected long` `delay`
`protected String` `fExecutorName`
`protected int` `fJobCounter`
`protected org.eclipse.core.runtime.jobs.ISchedulingRule` `fSchedulingRule`
`protected boolean` `fSystem`

### Constructor Summary

Constructors
Constructor and Description
`JobsExecutor(String executorName)`
`JobsExecutor(String executorName, boolean system)`
`JobsExecutor(String executorName, boolean system, org.eclipse.core.runtime.jobs.ISchedulingRule schedulingRule)`
`JobsExecutor(String executorName, boolean system, org.eclipse.core.runtime.jobs.ISchedulingRule schedulingRule, long delay)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `configureJobForExecution(org.eclipse.core.runtime.jobs.Job job)`
`protected org.eclipse.equinox.concurrent.future.AbstractFuture` `createFuture(org.eclipse.core.runtime.IProgressMonitor progressMonitor)`
`protected String` `createJobName(String executorName, int jobCounter, org.eclipse.equinox.concurrent.future.IProgressRunnable runnable)`
`org.eclipse.equinox.concurrent.future.IFuture` `execute(org.eclipse.equinox.concurrent.future.IProgressRunnable runnable, org.eclipse.core.runtime.IProgressMonitor clientProgressMonitor)`
`protected void` `safeRun(org.eclipse.equinox.concurrent.future.ISafeProgressRunner runner, org.eclipse.equinox.concurrent.future.IProgressRunnable progressRunnable)`
`protected void` `setChildProgressMonitor(org.eclipse.core.runtime.IProgressMonitor parent, org.eclipse.core.runtime.IProgressMonitor child)`

### Methods inherited from class org.eclipse.equinox.concurrent.future.AbstractExecutor

`execute`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### fJobCounter

    protected int fJobCounter

#### fExecutorName

    protected String fExecutorName

#### fSystem

    protected boolean fSystem

#### fSchedulingRule

    protected org.eclipse.core.runtime.jobs.ISchedulingRule fSchedulingRule

#### delay

    protected long delay

### Constructor Detail

#### JobsExecutor

    public JobsExecutor(String executorName)

#### JobsExecutor

    public JobsExecutor(String executorName,
                        boolean system)

#### JobsExecutor

    public JobsExecutor(String executorName,
                        boolean system,
                        org.eclipse.core.runtime.jobs.ISchedulingRule schedulingRule)

#### JobsExecutor

    public JobsExecutor(String executorName,
                        boolean system,
                        org.eclipse.core.runtime.jobs.ISchedulingRule schedulingRule,
                        long delay)

### Method Detail

#### setChildProgressMonitor

    protected void setChildProgressMonitor(org.eclipse.core.runtime.IProgressMonitor parent,
                                           org.eclipse.core.runtime.IProgressMonitor child)

#### safeRun

    protected void safeRun(org.eclipse.equinox.concurrent.future.ISafeProgressRunner runner,
                           org.eclipse.equinox.concurrent.future.IProgressRunnable progressRunnable)

#### createJobName

    protected String createJobName(String executorName,
                                   int jobCounter,
                                   org.eclipse.equinox.concurrent.future.IProgressRunnable runnable)

#### createFuture

    protected org.eclipse.equinox.concurrent.future.AbstractFuture createFuture(org.eclipse.core.runtime.IProgressMonitor progressMonitor)

Specified by:
  `createFuture` in class `org.eclipse.equinox.concurrent.future.AbstractExecutor`

#### execute

    public org.eclipse.equinox.concurrent.future.IFuture execute(org.eclipse.equinox.concurrent.future.IProgressRunnable runnable,
                                                                 org.eclipse.core.runtime.IProgressMonitor clientProgressMonitor)

Specified by:
  `execute` in interface `org.eclipse.equinox.concurrent.future.IExecutor`
Specified by:
  `execute` in class `org.eclipse.equinox.concurrent.future.AbstractExecutor`

#### configureJobForExecution

    protected void configureJobForExecution(org.eclipse.core.runtime.jobs.Job job)